Public Member Functions | Private Attributes | List of all members
libebook::IMPResourceDir Class Reference

Read the resource tree and provide access to it as an OLE stream. More...

`#include <IMPResourceDir.h>`

## Public Member Functions
| IMPResourceDir (librevenge::RVNGInputStream *input, const IMPHeader &header)
boost::shared_ptr< librevenge::RVNGInputStream > | getNameStream () const
| Get OLE stream for this resource directory. More...
boost::shared_ptr< librevenge::RVNGInputStream > | getTypeStream () const
| Get OLE stream for this resource directory. More...

## Private Attributes
boost::shared_ptr< IMPResourceDirImpl > | m_impl

## Detailed Description

Read the resource tree and provide access to it as an OLE stream.

## Constructor & Destructor Documentation

## § IMPResourceDir()

libebook::IMPResourceDir::IMPResourceDir | ( | librevenge::RVNGInputStream * | input,
|  | const IMPHeader & | header
| ) |  |

## Member Function Documentation

## § getNameStream()

shared_ptr< librevenge::RVNGInputStream > libebook::IMPResourceDir::getNameStream | ( |  | ) | const

Get OLE stream for this resource directory.

The "files" in the stream are referenced by their names (i.e., random four-letter strings)..

Returns
  OLE stream

## § getTypeStream()

shared_ptr< librevenge::RVNGInputStream > libebook::IMPResourceDir::getTypeStream | ( |  | ) | const

Get OLE stream for this resource directory.

The "files" in the stream are referenced by their type.

Returns
  OLE stream

Referenced by libebook::IMPParser::parse().

## Member Data Documentation

## § m_impl

boost::shared_ptr<IMPResourceDirImpl> libebook::IMPResourceDir::m_impl
| private

Referenced by getNameStream(), getTypeStream(), and IMPResourceDir().

The documentation for this class was generated from the following files:

- IMPResourceDir.h
- IMPResourceDir.cpp